org.apache.fop.pdf

## Enum Version

- java.lang.Object
- - java.lang.Enum<Version>
  - - org.apache.fop.pdf.Version

- All Implemented Interfaces:
    Serializable, Comparable<Version>

      public enum Version
      extends Enum<Version>

  A version of PDF. Values are ordered such that compareTo() gives sensible results (e.g., `V1_4.compareTo(V1_5) < 0`).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `V1_0` PDF v1
    `V1_1` PDF v1.1
    `V1_2` PDF v1.2
    `V1_3` PDF v1.3
    `V1_4` PDF v1.4
    `V1_5` PDF v1.5
    `V1_6` PDF v1.6
    `V1_7` PDF v1.7
    `V2_0` PDF v2.0

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Version` | `getValueOf(String version)` Given the PDF version as a String, returns the corresponding enumerated type.
    `String` | `toString()`
    `static Version` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Version[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V1_0

          public static final Version V1_0

      PDF v1

    - #### V1_1

          public static final Version V1_1

      PDF v1.1

    - #### V1_2

          public static final Version V1_2

      PDF v1.2

    - #### V1_3

          public static final Version V1_3

      PDF v1.3

    - #### V1_4

          public static final Version V1_4

      PDF v1.4

    - #### V1_5

          public static final Version V1_5

      PDF v1.5

    - #### V1_6

          public static final Version V1_6

      PDF v1.6

    - #### V1_7

          public static final Version V1_7

      PDF v1.7

    - #### V2_0

          public static final Version V2_0

      PDF v2.0

  - ### Method Detail

    - #### values

          public static Version[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Version c : Version.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Version valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValueOf

          public static Version getValueOf(String version)

      Given the PDF version as a String, returns the corresponding enumerated type. The String should be in the format "1.x" for PDF v1.x.
      Parameters:
        `version` - a version number
      Returns:
        the corresponding Version instance
      Throws:
        `IllegalArgumentException` - if the argument does not correspond to any existing PDF version

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Version>`

Copyright © 2023 Apache Software Foundation. All rights reserved.